%global npmname node-gyp
%global npminstdir /usr/lib/node_modules/%{npmname}
%global deplist graceful-fs npmlog osenv glob fstream minimatch mkdirp nopt request rimraf semver tar which
%define __os_install_post %nil

Summary: Node.js native addon build tool 
Name: nodejs-%{npmname}
Version: 0.8.0
Release: 3%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/TooTallNate/node-gyp
Source0: http://registry.npmjs.org/%{npmname}/-/%{npmname}-%{version}.tgz
BuildArch: noarch
Requires: nodejs
Requires: nodejs-npmlog
Requires: nodejs-osenv
Requires: nodejs-glob >= 3
Requires: nodejs-graceful-fs >= 1
Requires: nodejs-fstream >= 0.1.13
Requires: nodejs-minimatch >= 0.2
Requires: nodejs-mkdirp >= 0.3
Requires: nodejs-nopt >= 2
Requires: nodejs-request >= 2.9
Requires: nodejs-rimraf >= 2
Requires: nodejs-semver >= 1
Requires: nodejs-tar >= 0.1.12
Requires: nodejs-which >= 1
Provides: nodejs-%{npmname} = %{version}

%description
node-gyp is a cross-platform command-line tool written in Node.js for compiling
native addon modules for Node.js, which takes away the pain of dealing with the
various differences in build platforms. It is the replacement to the `node-waf`
program which is removed for node `v0.8`. If you have a native addon for node that
still has a `wscript` file, then you should definitely add a `binding.gyp` file
to support the latest versions of node.

Multiple target versions of node are supported (i.e. `0.6`, `0.7`,..., `1.0`,
etc.), regardless of what version of node is actually installed on your system
(`node-gyp` downloads the necessary development files for the target version).

%prep
%setup -q -n package

%build

%install
# Run the scripts (except test scripts)

# Setup and copy packages over
mkdir -p %{buildroot}/%{npminstdir}
cp -pr addon.gypi bin .jshintrc legacy lib .npmignore package.json %{buildroot}/%{npminstdir}

# Setup the dependancies
cd %{buildroot}/%{npminstdir}
mkdir node_modules
for depend in %{deplist}
do
  ln -s /usr/lib/node_modules/$depend node_modules/$depend
done

# Setup Binaries
mkdir %{buildroot}%{_bindir}
ln -s %{npminstdir}/bin/node-gyp.js %{buildroot}%{_bindir}/node-gyp

%files
%doc LICENSE README.md
%{npminstdir}
%{_bindir}/node-gyp

%changelog
* Fri Nov 16 2012 Troy Dawson <tdawson@redhat.com> - 0.8.0-3
- Remove all __os_install_post scripts

* Fri Nov 16 2012 Troy Dawson <tdawson@redhat.com> - 0.8.0-2
- Fix the python script problems.

* Thu Nov 15 2012 Troy Dawson <tdawson@redhat.com> - 0.8.0-1
- Updated to 0.8.0

* Wed Nov 14 2012 Troy Dawson <tdawson@redhat.com> - 0.7.3-1
- Initial build using nodejs spec template

